package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsOtherProduce;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0其他产品记录 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-26
 */
public interface IJsOtherProduceService extends IService<JsOtherProduce> {

    AjaxResult add(JsOtherProduce otherProduce);

    AjaxResult edit(JsOtherProduce otherProduce);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String produceName,String animalType);

    AjaxResult listAll();
}
